## org.exist.util
Class Compressor

    java.lang.Object
      org.exist.util.Compressor

public class Compressor
extends java.lang.Object

Constructor Summary
`Compressor()`

Method Summary
`static byte[]` `compress(byte[] whatToCompress)` The method `compress`
`static byte[]` `compress(byte[] whatToCompress, int length)` The method `compress`
`static byte[]` `uncompress(byte[] whatToUncompress)` The method `uncompress`
`static void` `uncompress(byte[] whatToUncompress, java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Compressor

    public Compressor()

Method Detail

### compress

    public static byte[] compress(byte[] whatToCompress)
                           throws java.io.IOException

  The method `compress`

  Parameters:
    `whatToCompress` - a `byte[]` value
  Returns:
    a `byte[]` value
  Throws:
    `java.io.IOException` - if an error occurs

### compress

    public static byte[] compress(byte[] whatToCompress,
                                  int length)
                           throws java.io.IOException

  The method `compress`

  Parameters:
    `whatToCompress` - a `byte[]` value
    `length` - an `int` value
  Returns:
    a `byte[]` value
  Throws:
    `java.io.IOException` - if an error occurs

### uncompress

    public static byte[] uncompress(byte[] whatToUncompress)
                             throws java.io.IOException

  The method `uncompress`

  Parameters:
    `whatToUncompress` - a `byte[]` value
  Returns:
    a `byte[]` value
  Throws:
    `java.io.IOException` - if an error occurs

### uncompress

    public static void uncompress(byte[] whatToUncompress,
                                  java.io.OutputStream os)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (C) Wolfgang Meier. All rights reserved.